      SUBROUTINE SETDAT(IO)
C   ==================================================================
C   ===                                                            ===
C   ===    This subroutine finds time and date and writes a        ===
C   ===              line to the output stream                     ===
C   ===                                                            ===
C   ===                                                            ===
C   ===               Matthew Peters - Aug, 92                     ===
C   ==================================================================

      INTEGER TP(2)
      INTEGER TOD
      INTEGER*4 CTIME
      CHARACTER*26 DATE_STR
      POINTER(I,DATE_STR)

C     Call GETTIMER to obtain the time of day.
C     GETTIMER returns time since Jan 1 some year with seconds in
C     TP(1) and nanoseconds in TP(2).
      TOD = 9
      CALL GETTIMER(%VAL(TOD),TP(1))

C     Call CTIME to convert into a 26-byte string containing date and time
      I = CTIME(TP(1))

      WRITE(IO,*)'   This run started ',DATE_STR

      END
